"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findFile = exports.isFile = void 0;
const promises_1 = __importDefault(require("node:fs/promises"));
const node_path_1 = __importDefault(require("node:path"));
const isFile = async (filePath) => {
    try {
        const stats = await promises_1.default.stat(filePath);
        return stats.isFile();
    }
    catch {
        return false;
    }
};
exports.isFile = isFile;
const findFile = async (cwd, workingDir, fileName) => {
    const filePath = node_path_1.default.join(workingDir, fileName);
    if (await (0, exports.isFile)(filePath)) {
        return filePath;
    }
    else {
        if (cwd === workingDir)
            return;
        const parentDir = node_path_1.default.resolve(workingDir, '..');
        return (0, exports.findFile)(cwd, parentDir, fileName);
    }
};
exports.findFile = findFile;
