"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolvePaths = exports.relative = void 0;
const node_path_1 = __importDefault(require("node:path"));
const cwd = process.cwd();
const relative = (to) => node_path_1.default.relative(cwd, to);
exports.relative = relative;
let _globby;
const glob = async function (patterns, options) {
    if (!_globby) {
        const { globby } = await eval('import("globby")');
        _globby = globby;
    }
    return _globby(patterns, options);
};
const prependDirToPattern = (workingDir, pattern) => {
    if (pattern.startsWith('!'))
        return '!' + node_path_1.default.join(workingDir, pattern.slice(1));
    return node_path_1.default.join(workingDir, pattern);
};
const resolvePaths = async ({ workingDir, patterns, ignore, gitignore, }) => glob(patterns.map(pattern => prependDirToPattern((0, exports.relative)(workingDir), pattern)), {
    cwd,
    ignore,
    gitignore,
    absolute: true,
});
exports.resolvePaths = resolvePaths;
